My Project

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
jet::Global Class Reference

## Public Member Functions
| Global (char **envp)
void | dump ()
bool | sessionExists (coreutils::MString sessionId)
void | addSession (coreutils::MString sessionId, __mysql *mysql)
void | removeSession (coreutils::MString sessionId)
__mysql * | getSession (coreutils::MString sessionId)
coreutils::ZString | getSessionVariable (coreutils::MString &splitName)
void | outputHeaders ()
void | setupFormData (coreutils::ZString &formdata)
void | setupFormURLEncoded (coreutils::ZString &formdata)

## Public Attributes
char * | errorCursor = NULL
coreutils::CGIFormattedData | cookies
std::map< coreutils::MString, coreutils::MString > | variables
std::map< coreutils::MString, coreutils::MString > | cgiVariables
std::map< coreutils::MString, __mysql * > | sessions
std::map< coreutils::MString, coreutils::MString > | headers
std::map< coreutils::MString, coreutils::MString > | tags
char ** | envp
bool | cgi = false
bool | session = false
coreutils::MString | sessionId

The documentation for this class was generated from the following files:

- Global.h
- Global.cpp